!((document, Drupal, $) => {
  'use strict';

  Drupal.behaviors.drupalVueModal = {
    attach: function(context) {

      $('#non-vue-modal-button', context).on('click', function (e) {
        e.preventDefault();
        $('#non-vue-modal .modal__mask').removeClass('hidden');
      });

      $('#non-vue-modal .modal__close', context).on('click', function (e) {
        e.preventDefault();
        $('#non-vue-modal .modal__mask').addClass('hidden');
      });
    }
  };

})(document, Drupal, jQuery);
